@font-face {
    font-family: TypoGraphica;
    src: url(fonts/TypoGraphica_demo.otf);
}

@font-face {
    font-family: 'Chunkfive Ex';
    src: url('fonts/Chunkfive Ex.ttf');
}

body {
    margin: 60px 0px 0px 0px;
    transition: margin .75s;
    background-color: #b6f6fc;
}

body.fullscreen {
    margin-top: 100vh;
}

a {
    color: inherit;
    text-decoration: inherit;
}

#footer a:hover {
    color: #96d6dc;
}

p {
    font-family: sans-serif;
    font-size: 18px;
    color: #03b1c8;
}

#header-box {
    position: fixed;
    z-index: 5;
    top: 0;
    left: 0;
    height: 60px;
    background-color: #03b1c8;
    width: 100vw;
    text-align: center;
    transition: height .75s;
}

body.fullscreen > #header-box {
    height: 100vh;
}

#header-text {
    display: inline-block;
    position: relative;
    top: 50%;
    font-size: 24px;
    transform: perspective(1px) translateY(-50%);
    transition: font-size .75s;
    font-family: 'TypoGraphica', sans-serif;
    color: #b6f6fc;
}

body.fullscreen > #header-box > #header-text {
    font-size: 80px;
}

#down-arrow {
    position: fixed;
    z-index: 6;
    left: calc(50vw - 50px);
    top: -110px;
    transition: top .75s, opacity .5s, transform .5s;
    transition-delay: 0s, 0s;
    opacity: 0;
}

#down-arrow:hover {
    transform: scale(1.1) translateY(-1px);
}

body.fullscreen > #down-arrow {
    opacity: 1;
    transition-delay: 0s, .25s;
    top: calc(100vh - 200px);
}

#content {
    padding: 120px 40px 40px 40px;
}

#unit-menus {
    padding: 50px 0px;
    text-align: center;
}

.unit-menu {
    display: inline-block;
    height: 400px;
    width: 300px;
    border-color: #03b1c8;
    border-width: 20px;
    border-radius: 40px;
    border-style: solid;
    margin: 20px;
    transition: transform .5s, background-color .5s;;
    position: relative;
    text-align: center;
    overflow: hidden;
    -webkit-user-select: none; /* Safari */        
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE10+/Edge */
    user-select: none; /* Standard */
}

.unit-menu:hover {
    transform: scale(1.1);
}

.unit-menu.open {
    transform: none;
}

.unit-menu-icon {
    display: inline-block;
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    top: 40px;
    width: 150px;
    height: 150px;
    border-width: 25px;
    border-color: #2b76a6;
    border-radius: 50%;
    border-style: solid;
    transition: top .5s;
}

.unit-menu-icon-content {
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 120px;
    font-family: 'Chunkfive Ex', sans-serif;
    color: #2b76a6;
}

.unit-menu.open > .unit-menu-icon {
    top: -250px;
}

.unit-menu-title {
    position: absolute;
    top: 290px;
    padding: 10px;
    width: calc(100% - 20px);
    text-align: center;
    font-family: 'Chunkfive Ex', sans-serif;
    font-size: 35px;
    color: #2b76a6;
    transition: top .5s;
}

.unit-menu.open > .unit-menu-title {
    top: 0px;
}

.unit-menu-content {
    overflow-y: auto;
    position: absolute;
    top: 400px;
    transition: top .5s, background-color .5s;
    height: 290px;
    width: 100%;
    background-color: #03b1c8;
}

.unit-menu-content::-webkit-scrollbar {
    width: 10px;
}

.unit-menu-content::-webkit-scrollbar-track {
    background: none;
}

.unit-menu-content::-webkit-scrollbar-thumb {
    background: #2b76a6;
}

.unit-menu.open > .unit-menu-content {
    top: 110px;
    background-color: #03b1c8;
}

.unit-menu-item {
    color: #b6f6fc;
    padding: 10px;
    font-family: 'Chunkfive Ex', sans-serif;
    font-size: 25px;
    text-align: left;
    transition: padding .5s;
}

.unit-menu-item:hover {
    padding-left: 20px;
    padding-right: 0px;
}

#footer {
    background-color: #03b1c8;
    height: 60px;
}

#footer > .footer-item {
    display: inline-block;
    height: 24px;
    padding: 18px 20px;
    font-size: 18px;
    font-family: sans-serif, sans-serif;
    color: #b6f6fc;
    font-weight: bold;
}

#created-by {
    float: left;
}

#contact {
    float: right;
}
